| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Iterator

# Method Iterator()->first()

Method first

  `int(0..1) first()`

Description

  If this function is defined then it resets the iterator to point to the first item.

Returns

  Returns zero if there are no items at all in the data set, one otherwise.

Note

  It's not enough to set the iterator to the earliest accessible item. If the iterator doesn't support backing up to the original start position then this function should not be implemented.